Subject: Re: linux-next: manual merge of the akpm-current tree with the pidfd tree

From: Joel Fernandes <[email-masked]>
Date: Fri, 12 Jul 2019 08:53:04 -0400

On Mon, Jul 08, 2019 at 12:01:14PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Wed, 15 May 2019 13:16:29 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the akpm-current tree got a conflict in:
> > 
> >   include/linux/pid.h
> > 
> > between commit:
> > 
> >   51f1b521a515 ("pidfd: add polling support")
> > 
> > from the pidfd tree and commit:
> > 
> >   c02e28a1bb18 ("kernel/pid.c: convert struct pid:count to refcount_t")
> > 
> > from the akpm-current tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc include/linux/pid.h
> > index 1484db6ca8d1,0be5829ddd80..000000000000
> > --- a/include/linux/pid.h
> > +++ b/include/linux/pid.h
> > @@@ -3,7 -3,7 +3,8 @@@
> >   #define _LINUX_PID_H
> >   
> >   #include <linux/rculist.h>
> >  +#include <linux/wait.h>
> > + #include <linux/refcount.h>
> >   
> >   enum pid_type
> >   {
> 
> I am still getting this conflict (the commits have changed).  Just a
> reminder in case you think Linus may need to know.

Could you let me know if this trivial header inclusion conflict has been
resolved now? Let me know what else I can do to help.